> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ディスカバリージョブ一覧

> ユーザーの URL ディスカバリージョブ一覧を取得するエンドポイントです。

## GET /discovery

認証済みユーザーが開始したすべての URL ディスカバリージョブを一覧します。

### クエリパラメーター

<ParamField query="status" type="string">
  状態で絞り込み: `pending`、`processing`、`completed`、`failed`。
</ParamField>

<ParamField query="limit" type="number" default="20">
  1 ページあたりの件数（最大 100）。
</ParamField>

### レスポンス

<ResponseField name="jobs" type="array">
  ディスカバリージョブオブジェクトの配列。

  <Expandable title="job のプロパティ">
    <ResponseField name="id" type="string">
      ディスカバリージョブの一意な識別子。
    </ResponseField>

    <ResponseField name="url" type="string">
      ディスカバリー対象の URL。
    </ResponseField>

    <ResponseField name="type" type="string">
      ディスカバリー手法: `full`、`sitemap`、`crawl`。
    </ResponseField>

    <ResponseField name="status" type="string">
      ジョブの現在の状態。
    </ResponseField>

    <ResponseField name="urlsFound" type="number">
      発見された URL 数。
    </ResponseField>

    <ResponseField name="createdAt" type="string">
      ジョブ作成日時の ISO 8601 タイムスタンプ。
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="total" type="number">
  ディスカバリージョブの総件数。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.llmgenerator.com/api/v1/discovery \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```bash cURL（フィルター付き） theme={null}
  curl -X GET "https://api.llmgenerator.com/api/v1/discovery?status=completed&limit=10" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 成功 (200) theme={null}
  {
    "jobs": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "url": "https://example.com",
        "type": "full",
        "status": "completed",
        "urlsFound": 47,
        "createdAt": "2026-01-20T10:00:00.000Z"
      },
      {
        "id": "660e8400-e29b-41d4-a716-446655440001",
        "url": "https://another-example.com",
        "type": "sitemap",
        "status": "processing",
        "urlsFound": 12,
        "createdAt": "2026-01-21T11:00:00.000Z"
      }
    ],
    "total": 2
  }
  ```
</ResponseExample>
